Bug 507648 - Cannot boot from md0 (MPT SAS)
Cannot boot from md0 (MPT SAS)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 11:59 EDT by Jan "Yenya" Kasprzak
Modified: 2009-12-18 04:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:34:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2009-06-23 11:59:30 EDT
Description of problem:
I have a SGI Altix XE server (a rebranded Supermicro) with one internal and one external LSI Logic SAS controller and a SW RAID on top of the internal disks. After the kernel (and probably mkinitrd) upgrade, the server cannot boot: grub loads the kernel, the kernel runs initrd, initrd loads the MPT driver module, the MPT driver correctly finds all the physical disks (both internal and external ones), but it fails to start the md0 device for the root filesystem.

I don't remember the exact error messages, but it is something like "/dev/sda does not contain a valid v0.90 superblock" (strange, because the md0 device is not directly on top of sda, it is on top of the sda1 partition). mdadm --examine /dev/sda1 under the older kernel reports the correct version 0.90.00 superblock.

Version-Release number of selected component (if applicable):
kernel-2.6.27.24-170.2.68.fc10.x86_64
mkinitrd-6.0.71-4.fc10.x86_64
nash-6.0.71-4.fc10.x86_64

How reproducible:
100 %

Steps to Reproduce:
1. have a server with these controllers:
# lspci|grep -i mpt
02:00.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068E PCI-Express Fusion-MPT SAS (rev 08)
07:02.0 SCSI storage controller: LSI Logic / Symbios Logic SAS1068 PCI-X Fusion-MPT SAS (rev 02)
2. create a md0 device on top of them
3. reboot
  
Actual results:
initrd finds all the physical disks, but fails to start the root MD device.

Expected results:
the server should boot as it did with the older kernel (and presumably the older mkinitrd).


Additional info:
Booting the older kernel (kernel-2.6.26.5-45.fc9.x86_64, initrd created 2008-10-21 09:17 in my case) works as expected.

I have another identical server which I don't want to reboot now, and it runs the 2.6.27.5-117.fc10.x86_64 kernel with an initrd created at 2008-12-02 18:01. So I think the problem has appeared in mkinitrd newer than that.

I have even tried to remove and reinstall the newest kernel package (thus re-creating initrd with the current mkinitrd), but it still does not work.
Comment 1 Bug Zapper 2009-11-18 07:07:14 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:34:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.